/*package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import javax.persistence.*;
import org.joda.time.DateTime;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

*//**
 *  class PeriodeAccountSaldo
 * 
 * @author Generator
 *//*
@Entity
@Table(name = "PeriodeAccountSaldo_T")
public class PeriodeAccountSaldo extends BaseTransaction {
	@ManyToOne
	@JoinColumn(name = "ObjectAccountFk")
	@NotNull(message="Object Account Harus Diisi")
	@Caption(value="Object Account")
	private ChartOfAccount kdaccount;

	public void setObjectAccount(ChartOfAccount kdaccount) {
		this.kdaccount = kdaccount;
	}

	@Column(name = "KdAccount", nullable = false )
	public ChartOfAccount getObjectAccount(){
		return this.kdaccount;
	}

	@Column(name = "ObjectAccountFk", insertable=false,updatable=false)
	private Integer ObjectAccountId;

	@ManyToOne
	@JoinColumn(name = "ObjectHistoryLoginDFk")
	@Caption(value="Object History Login D")
	private HistoryLoginModulAplikasi kdhistorylogind;

	public void setObjectHistoryLoginD(HistoryLoginModulAplikasi kdhistorylogind) {
		this.kdhistorylogind = kdhistorylogind;
	}

	@Column(name = "KdHistoryLoginD", nullable = true )
	public HistoryLoginModulAplikasi getObjectHistoryLoginD(){
		return this.kdhistorylogind;
	}

	@Column(name = "ObjectHistoryLoginDFk", insertable=false,updatable=false)
	private Integer ObjectHistoryLoginDId;

	@ManyToOne
	@JoinColumn(name = "ObjectHistoryLoginIFk")
	@NotNull(message="Object History Login I Harus Diisi")
	@Caption(value="Object History Login I")
	private HistoryLoginModulAplikasi kdhistorylogini;

	public void setObjectHistoryLoginI(HistoryLoginModulAplikasi kdhistorylogini) {
		this.kdhistorylogini = kdhistorylogini;
	}

	@Column(name = "KdHistoryLoginI", nullable = false )
	public HistoryLoginModulAplikasi getObjectHistoryLoginI(){
		return this.kdhistorylogini;
	}

	@Column(name = "ObjectHistoryLoginIFk", insertable=false,updatable=false)
	private Integer ObjectHistoryLoginIId;

	@ManyToOne
	@JoinColumn(name = "ObjectHistoryLoginSFk")
	@Caption(value="Object History Login S")
	private HistoryLoginModulAplikasi kdhistorylogins;

	public void setObjectHistoryLoginS(HistoryLoginModulAplikasi kdhistorylogins) {
		this.kdhistorylogins = kdhistorylogins;
	}

	@Column(name = "KdHistoryLoginS", nullable = true )
	public HistoryLoginModulAplikasi getObjectHistoryLoginS(){
		return this.kdhistorylogins;
	}

	@Column(name = "ObjectHistoryLoginSFk", insertable=false,updatable=false)
	private Integer ObjectHistoryLoginSId;

	@ManyToOne
	@JoinColumn(name = "ObjectHistoryLoginUFk")
	@Caption(value="Object History Login U")
	private HistoryLoginModulAplikasi kdhistoryloginu;

	public void setObjectHistoryLoginU(HistoryLoginModulAplikasi kdhistoryloginu) {
		this.kdhistoryloginu = kdhistoryloginu;
	}

	@Column(name = "KdHistoryLoginU", nullable = true )
	public HistoryLoginModulAplikasi getObjectHistoryLoginU(){
		return this.kdhistoryloginu;
	}

	@Column(name = "ObjectHistoryLoginUFk", insertable=false,updatable=false)
	private Integer ObjectHistoryLoginUId;

	@ManyToOne
	@JoinColumn(name = "ObjectPeriodeAccountFk")
	@NotNull(message="Object Periode Account Harus Diisi")
	@Caption(value="Object Periode Account")
	private PeriodeAccount kdperiodeaccount;

	public void setObjectPeriodeAccount(PeriodeAccount kdperiodeaccount) {
		this.kdperiodeaccount = kdperiodeaccount;
	}

	@Column(name = "KdPeriodeAccount", nullable = false )
	public PeriodeAccount getObjectPeriodeAccount(){
		return this.kdperiodeaccount;
	}

	@Column(name = "ObjectPeriodeAccountFk", insertable=false,updatable=false)
	private Integer ObjectPeriodeAccountId;

	@Caption(value="Keterangan Lainnya")
	private String keteranganlainnya;

	public void setKeteranganLainnya(String keteranganlainnya) {
		this.keteranganlainnya = keteranganlainnya;
	}

	@Column(name = "KeteranganLainnya", nullable = true , length = 150)
	public String getKeteranganLainnya(){
		return this.keteranganlainnya;
	}

	@ManyToOne
	@JoinColumn(name = "NoVerifikasiFk")
	@Caption(value="No Verifikasi")
	private StrukVerifikasi noverifikasi;

	public void setNoVerifikasi(StrukVerifikasi noverifikasi) {
		this.noverifikasi = noverifikasi;
	}

	@Column(name = "NoVerifikasi", nullable = true , length = 10)
	public StrukVerifikasi getNoVerifikasi(){
		return this.noverifikasi;
	}

	@Column(name = "NoVerifikasiFk", insertable=false,updatable=false)
	private Integer NoVerifikasiId;

	@Caption(value="Saldo Akhir D Periode")
	private Double saldoakhirdperiode;

	public void setSaldoAkhirDPeriode(Double saldoakhirdperiode) {
		this.saldoakhirdperiode = saldoakhirdperiode;
	}

	@Column(name = "SaldoAkhirDPeriode", nullable = false )
	public Double getSaldoAkhirDPeriode(){
		return this.saldoakhirdperiode;
	}

	@Caption(value="Saldo Akhir K Periode")
	private Double saldoakhirkperiode;

	public void setSaldoAkhirKPeriode(Double saldoakhirkperiode) {
		this.saldoakhirkperiode = saldoakhirkperiode;
	}

	@Column(name = "SaldoAkhirKPeriode", nullable = false )
	public Double getSaldoAkhirKPeriode(){
		return this.saldoakhirkperiode;
	}

	@Caption(value="Saldo Awal D Periode")
	private Double saldoawaldperiode;

	public void setSaldoAwalDPeriode(Double saldoawaldperiode) {
		this.saldoawaldperiode = saldoawaldperiode;
	}

	@Column(name = "SaldoAwalDPeriode", nullable = false )
	public Double getSaldoAwalDPeriode(){
		return this.saldoawaldperiode;
	}

	@Caption(value="Saldo Awal K Periode")
	private Double saldoawalkperiode;

	public void setSaldoAwalKPeriode(Double saldoawalkperiode) {
		this.saldoawalkperiode = saldoawalkperiode;
	}

	@Column(name = "SaldoAwalKPeriode", nullable = false )
	public Double getSaldoAwalKPeriode(){
		return this.saldoawalkperiode;
	}


}

*/